{% set current_route = app.request.get('_route') %}
{% set isHome = (current_route == 'app_home_of_the_day' or current_route == 'app_home_hot') %}
{% set isGoodTip = (current_route == 'app_goodTip_showAll' or current_route == 'app_goodTip_showAllHot') %}
{% set isCoupons = (current_route == 'app_coupon_showAll' or current_route == 'app_coupon_showAllHot') %}

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-xl">
        <a class="navbar-brand" href="{{ url('app_home_index') }}">
            <img src="{{ asset("build/images/logo-dealabs-light.svg") }}" alt="{{ 'logo.alt'|trans|raw }}" width="30" height="24" class="d-inline-block align-text-top">
            {{ 'app.name'|trans }}
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".main-menu" aria-controls="main-menu" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse main-menu">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link {% if isHome %}active{% endif %}" {% if isHome %}aria-current="page"{% endif %} href="{{ url('app_home_index') }}">{{ 'menu.home'|trans }}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if isGoodTip %}active{% endif %}" {% if isGoodTip %}aria-current="page"{% endif %} href="{{ url('app_goodTip_showAll') }}">{{ 'menu.good_tip'|trans }}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if isCoupons %}active{% endif %}" {% if isCoupons %}aria-current="page"{% endif %} href="{{ url('app_coupon_showAll') }}">{{ 'menu.coupons'|trans }}</a>
                </li>
            </ul>

            <form class="me-2" method="get" action="{{ url('app_deal_search') }}">
                <div class="input-group">
                    <input class="form-control" type="search" name="q" placeholder="{{ 'search.basic.placeholder'|trans|raw }}" required>
                    <button class="btn btn-outline-info" type="submit"><span class="bi bi-search"></span></button>
                </div>
            </form>

            <ul class="navbar-nav me-2">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarCreateDeal" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        {{ 'menu.create_deal'|trans|raw }}
                    </a>
                    <ul class="dropdown-menu mb-2" aria-labelledby="navbarCreateDeal">
                        <li><a class="dropdown-item" href="{{ url('app_good_type_create') }}">{{ 'menu.create_good_tip'|trans|raw }}</a></li>
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item" href="{{ url('app_coupon_create') }}">{{ 'menu.create_coupon'|trans|raw }}</a></li>
                    </ul>
                </li>
            </ul>

            {% if is_granted("IS_AUTHENTICATED_FULLY") %}
                <ul class="navbar-nav me-2">
                    <li class="nav-item dropdown">
                        <button class="btn btn-secondary dropdown-toggle" id="navbarUserAccount" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            {{ app.user.pseudo }}
                        </button>
                        <ul class="dropdown-menu mt-2 mt-lg-1" aria-labelledby="navbarUserAccount">
                            <li><a class="dropdown-item" href="{{ path('app_informations_show') }}">{{ 'menu.account.informations'|trans|raw }}</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{{ path('app_userDeals_show') }}">{{ 'menu.account.user_deals'|trans|raw }}</a></li>
                            <li><a class="dropdown-item" href="{{ path('app_savedDeals_show') }}">{{ 'menu.account.saved_deals'|trans|raw }}</a></li>
                            <li><a class="dropdown-item" href="{{ path('app_userAlerts_manage') }}">{{ 'menu.account.alerts'|trans|raw }}</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{{ path('app_userStatistics_show') }}">{{ 'menu.account.statistics'|trans|raw }}</a></li>
                            <li><a class="dropdown-item" href="{{ path('app_userBadges_show') }}">{{ 'menu.account.badges'|trans|raw }}</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{{ path('app_logout') }}">{{ 'menu.logout'|trans|raw }}</a></li>
                        </ul>
                    </li>
                </ul>
            {% else %}
                <a class="btn btn-info me-2" href="{{ path('app_signin') }}">{{ 'menu.signin'|trans|raw }}</a>
                <a class="btn btn-success" href="{{ path('app_login') }}">{{ 'menu.login'|trans|raw }}</a>
            {% endif %}
            <a></a>
        </div>
    </div>
</nav>
